aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rxvt-unicode/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2013-05-11 22:55:23 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2013-05-11 22:55:23 -0500
commit23aa347618ed47359296d09f3001e489ad16af27 (patch)
treeb2c5a666469a5496462612f9b97a0103c132c3f7 /testing/rxvt-unicode/APKBUILD
parent41be1b67d7a2cd2fb6aadac96042eb5313aa64bb (diff)
downloadaports-23aa347618ed47359296d09f3001e489ad16af27.tar.gz
aports-23aa347618ed47359296d09f3001e489ad16af27.tar.bz2
aports-23aa347618ed47359296d09f3001e489ad16af27.tar.xz
testing/rxvt-unicode: upgrade to 9.18, apply kerning fix
Diffstat (limited to 'testing/rxvt-unicode/APKBUILD')
-rw-r--r--testing/rxvt-unicode/APKBUILD40
1 files changed, 30 insertions, 10 deletions
diff --git a/testing/rxvt-unicode/APKBUILD b/testing/rxvt-unicode/APKBUILD
index 2f67a0d616..e819b9eb1c 100644
--- a/testing/rxvt-unicode/APKBUILD
+++ b/testing/rxvt-unicode/APKBUILD
@@ -1,18 +1,30 @@
# Contributor: Moritz Wilhelmy
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=rxvt-unicode
-pkgver=9.15
+pkgver=9.18
pkgrel=0
pkgdesc='rxvt fork with improved unicode support'
arch=all
url='http://software.schmorp.de/pkg/rxvt-unicode.html'
license='GPL'
depends=
-makedepends="libx11-dev"
-source="http://dist.schmorp.de/rxvt-unicode/$pkgname-$pkgver.tar.bz2"
+makedepends="libx11-dev libxft-dev gdk-pixbuf-dev libxrender-dev perl-dev"
+source="http://dist.schmorp.de/rxvt-unicode/$pkgname-$pkgver.tar.bz2
+ rxvt-unicode-kerning.patch"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
./configure --prefix=/usr \
--with-terminfo=/usr/share/terminfo \
--enable-256-color \
@@ -22,21 +34,29 @@ build() {
--enable-selectionscrolling \
--enable-smart-resize \
--enable-pixbuf \
- --disable-transparency \
+ --enable-transparency \
+ --enable-frills \
+ --enable-perl \
+ --enable-mousewheel \
+ --enable-text-blink \
+ --enable-fading \
--disable-utmp \
--disable-wtmp \
--disable-lastlog \
- --disable-frills \
- --disable-perl \
|| return 1
make
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
install -d "$pkgdir/usr/share/terminfo"
export TERMINFO="$pkgdir/usr/share/terminfo"
make DESTDIR="$pkgdir" install
}
-md5sums="15595aa326167ac5eb68c28d95432faf rxvt-unicode-9.15.tar.bz2"
+md5sums="963ccc748fe5bca925e7b92c0404d68b rxvt-unicode-9.18.tar.bz2
+585157318cb78733804eed507b77c37c rxvt-unicode-kerning.patch"
+sha256sums="87b72a43cac7c9362a984094c661a632ce1a829ad90f149142ab1953854b433f rxvt-unicode-9.18.tar.bz2
+fc241d7c11b86f589f41a0f488e8f04875ca6ca937e57bc2347c19dff423a38a rxvt-unicode-kerning.patch"
+sha512sums="8d1abf38c6ad47129fafc22c3996a7e2cd0f0cf4982d441ee30076d64d191637942307efd12cc05dfef6b65136530973be9da89e6769c5967d4e523f33309237 rxvt-unicode-9.18.tar.bz2
+d2fb68b3e11a78328ded4d2d646ffbaae657e9f23f3b4b81e11bc4350dd3e1e7585eeaeee47a70246bdfb7e12fbb667e40a7766989154235064f56ed4ad0a987 rxvt-unicode-kerning.patch"